Aurora MySQL 数据库引擎更新 2020-12-11(版本 2.09.1) - Amazon Aurora
Amazon Web Services 文档中描述的 Amazon Web Services 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 Amazon Web Services 服务入门

Aurora MySQL 数据库引擎更新 2020-12-11(版本 2.09.1)

版本:2.09.1

Aurora MySQL 2.09.1 已正式发布。Aurora MySQL 2.x 版与 MySQL 5.7 兼容,Aurora MySQL 1.x 版与 MySQL 5.6 兼容。

当前支持的 Aurora MySQL 版本有 1.14.*、1.15.*、1.16.*、1.17.*、1.18.*、1.19.*、1.20.*、1.21.*、1.22.*、1.23.*、2.01.*、2.02.*、2.03.*、2.04.*、2.05.*、2.06.*、2.07.*、2.08.* 和 2.09.*。

您可以将快照从 Aurora MySQL 1.23.* 还原到 Aurora MySQL 2.09.1。您也可以选择将现有的 Aurora MySQL 2.* 数据库集群升级到 Aurora MySQL MySQL 2.09.1。不能将现有的 Aurora MySQL 1.23.* 集群直接升级到 2.09.1,但是可以将其快照还原到 Aurora MySQL 2.09.1。

要使用较旧版本的 Aurora MySQL 创建集群,请通过 Amazon Web Services Management Console、Amazon CLI 或 RDS API 指定引擎版本。

如果您有任何问题或疑问,可通过社区论坛和 Amazon Premium Support 联系 Amazon Support。有关更多信息,请参阅 维护 Amazon Aurora 数据库集群

注意

有关如何升级 Aurora MySQL 数据库集群的信息,请参阅 升级 Aurora MySQL 数据库集群的次要版本或补丁程序级别

改进

安全修复:

对托管环境中的处理进行微调的修复和其他增强功能。其他 CVE 修复如下:

不兼容的更改:

此版本新增了影响 mysqldump 命令行为的权限更改。用户必须具有访问 INFORMATION_SCHEMA.FILES 表的 PROCESS 权限。要在不进行任何更改的情况下运行 mysqldump 命令,请向 mysqldump 命令连接的数据库用户授予 PROCESS 权限。您也可以运行带 --no-tablespaces 选项的 mysqldump 命令。使用该选项,mysqldump 输出不包含任何 CREATE LOGFILE GROUPCREATE TABLESPACE 语句。在这种情况下,mysqldump 命令不访问 INFORMATION_SCHEMA.FILES 表,您也无需授予 PROCESS 权限。

可用性改进:

  • 修复了当数据库引擎在从网络读取或写入网络时遇到错误时可能导致客户端会话挂起的问题。

  • 修复了 2.09.0 中引入的动态调整大小功能中的内存泄漏问题。

全局数据库:

  • 修复了当主区域写入器使用较旧版本时,全局数据库辅助区域的副本可能会在升级到版本 2.09.0 时重新启动的多个问题。

集成了 MySQL 社区版本错误修复

  • 复制:当事务隔离级别设置为 REPEATABLE READ 时,交错事务有时可能会使从属应用程序死锁。(错误 #25040331)

  • 对于具有 TIMESTAMP 的表或具有默认的 CURRENT_TIMESTAMPDATETIME 列,列可以在表具有 BEFORE INSERT 触发器时初始化为 0000-00-00 00:00:00。(错误 #25209512、错误 #84077)

  • 对于 VALUES 列表使用包含联接的子查询为第二行或后面的行生成值的 INSERT 语句,服务器可能会在解析所需的特权失败后退出。(错误 #23762382)